<?php
include('config/config.inc.php');
include('include/agenda.inc.php');
include('config/lib.inc.php');
$maCleDeCryptage = getCleDeCryptage();	

$tabDate=array();
foreach($arrWeek as $kw=>$vw){
	foreach($vw as $vDay){
		if(!empty($vDay)){
			$tabDate[]=$vDay;
		}
	}
}

$query="select * from inscriptions_pro where statut=1 and (recevoirJeunes=1 or recevoirStage=1) AND id_pro <> 75";
$db = connect_base();
$queryRequest = $db->prepare( $query );
$queryRequest->execute();
$data=$queryRequest->fetchAll();

$info=array();


foreach($data as $cle=>$val){
	$info[$val['id_pro']]['eta']=decrypter($maCleDeCryptage,$val['etablissement_pro']);
	$info[$val['id_pro']]['nom_pro']=decrypter($maCleDeCryptage,$val['nom_pro']);
	$info[$val['id_pro']]['prenom_pro']=decrypter($maCleDeCryptage,$val['prenom_pro']);
	$info[$val['id_pro']]['adr1_pro']=decrypter($maCleDeCryptage,$val['adr1_pro']);
	$info[$val['id_pro']]['adr2_pro']=decrypter($maCleDeCryptage,$val['adr2_pro']);
	$info[$val['id_pro']]['cp_pro']=decrypter($maCleDeCryptage,$val['cp_pro']);
	$info[$val['id_pro']]['ville_pro']=decrypter($maCleDeCryptage,$val['ville_pro']);
	if($val['recevoirJeunes']==1) $info[$val['id_pro']]['recevoirJeunes']="<br />Accepte de recevoir un étudiant pour lui parler de son métier et lui faire découvrir.";
	else $info[$val['id_pro']]['recevoirJeunes']="";
	if($val['recevoirStage']==1) $info[$val['id_pro']]['recevoirStage']="<br />Accepte d'accueillir un jeune pour son stage de découverte.";
	else $info[$val['id_pro']]['recevoirStage']="";
	$info[$val['id_pro']]['lat']=$val['lat_pro'];
	$info[$val['id_pro']]['lon']=$val['lon_pro'];
}
?>
<!doctype html>
<html>
	<head>
		<meta charset="utf-8">
		<meta name="viewport" content="width=device-width, initial-scale=1">
		<link rel="stylesheet" href="css/bootstrap.min.css">
		<link rel="stylesheet" href="css/style.css">
		<script src="https://maps.googleapis.com/maps/api/js?key=AIzaSyAD8dr4sS_iFafcU_AowzS9p9B306iQEZQ"></script>				
		<script src="js/jquery-3.2.1.min.js"></script>
		<script type="text/javascript" src="js/fonctions.js"></script>
		<script src="js/bootstrap.min.js"></script>
		<title>Deciday!</title>
		<script>
			jQuery(document).ready(function(){

				<?php
				if(isset($_SESSION['msg']) && !empty($_SESSION['msg'])){
					?>
				alert('<?php print addslashes($_SESSION['msg']);?>');
				<?php
					$_SESSION['msg']="";
				}
				?>
				
			});
		</script>
		<style>
			.lienCarte{color: #87318b;font-family: "Myriad Pro Bold";}
			.lienCarte:hover{ text-decoration: none;color: #87318b;}
			.filtreCarte{ text-align: center;font-size: 16px;color: #87318b;text-align: center;font-family: "Myriad Pro Bold";text-transform: uppercase; padding:16px 0 10px 0;}
			.filtreCarte select{ color:#000; margin-top:6px;}
		</style>
		<script>
			function contact_eta(a){
				document.frmCE.ncfa.value=a;
				document.frmCE.submit();
			}
			function pinSymbol(color) {
				return {
					path: 'M 0,0 C -2,-20 -10,-22 -10,-30 A 10,10 0 1,1 10,-30 C 10,-22 2,-20 0,0 z M -2,-30 a 2,2 0 1,1 4,0 2,2 0 1,1 -4,0',
					fillColor: color,
					fillOpacity: 1,
					strokeColor: '#000',
					strokeWeight: 2,
					scale: 1,
			   };
			}	
			//#FFA64D on
			//#CACAD9 off
			function initialisation(){
				var optionsCarte = {
					zoom: 5,
					center: new google.maps.LatLng(46.52863469527167,2.43896484375)
				}
				maCarte = new google.maps.Map(document.getElementById("divCarte"), optionsCarte);
				<?php
				$color="#FFA64D";
				foreach($info as $cle=>$val){
					$text="";
					$text.=$val['eta']."<br />".$val['nom_pro']." ".$val['prenom_pro']."<br />".$val['adr1_pro']."<br />".$val['adr2_pro']."<br />".$val['cp_pro']."<br />".$val['ville_pro']."<br />";
					if($val['recevoirJeunes']!='') $text.=$val['recevoirJeunes'];
					if($val['recevoirStage']!='') $text.=$val['recevoirStage'];
						$text.="<br /><br /><a href=\"contact-pro.php?nProP=".$cle."\" class=\"lienCarte\">Contacter le professionnel</a>";
					echo "var optionsMarqueur = {
					position: new google.maps.LatLng(".$val['lat'].",".$val['lon']."),
					map: maCarte,
					title:'".addslashes($val['eta'])."',
					icon: pinSymbol(\"".$color."\"),
					};
					var marqueur".$cle." = new google.maps.Marker(optionsMarqueur);
					  var infowindow".$cle." = new google.maps.InfoWindow({
						content: ''
					  });
					marqueur".$cle.".addListener('click', function() {
							infowindow".$cle.".setContent('".addslashes($text)."');
							infowindow".$cle.".open(maCarte, this);
					  });
				";
					
				}
				?>
				
			}
			$(document).ready(function() {
				initialisation();
			});
		</script>
		
	</head>
	<body>
	<?php include('include/header.php');?>
		<div class="container-fluid" style="margin-top: -20px;">
			<div class="row" style="background-color: #5B2050;">
				<a href="#" style="cursor:auto">
					<div class="col-lg-12 col-md-12 col-sm-12 col-xs-12 noPad">
					<img class="visible-sm visible-md visible-lg img-responsive imageBandeau" src="img/slide/deciday_decouvrez_deciday_slider.jpg" alt="Métiers Hotel-Resto">
					<img class="hidden-lg hidden-md hidden-sm img-responsive imageBandeau" src="img/slide/slider_new_resp.jpg" alt="Métiers Hotel-Resto">
				</div>
				</a>
			</div>
		</div>
		<div class="container contenuTxt"><br>
			<div class="col-lg-2 col-md-2 col-sm-1 hidden-xs bgTitrePage"></div>
			<div class="col-lg-8 col-md-8 col-sm-10 col-xs-12 titreContenuPage">Métiers de l’hôtellerie, de la restauration et des loisirs : garantir l’avenir</div>
			<div class="col-lg-2 col-md-2 col-sm-1 hidden-xs bgTitrePage"></div>
			<div class="clearfix"></div>
	    	<div class="col-lg-8 col-md-8 col-sm-10 col-xs-12 col-lg-offset-2 col-md-offset-2 col-sm-offset-2 txtChapeau">
    	<p>Peu ou mal connus, les métiers de l’hôtellerie, de la restauration, des loisirs et des activités du tourisme méritent pourtant qu’on leur prête plus d’attention. Aller à leur découverte est tout l’objectif de Deciday!</p>    </div>
			
		</div>
		
		<div class="row containerTpsForts">
			<div class="container ">
				<div class="col-lg-1 col-md-1 col-sm-1 hidden-xs">
				</div>
				<div class="col-lg-10 col-md-10 col-sm-10 col-xs-12 titreContenuPage">
					Des opportunités pour les découvrir			
				</div>
				<div class="col-lg-1 col-md-1 col-sm-1 hidden-xs">
				</div>

				<div class="col-lg-6 col-md-6 col-sm-6 col-xs-12 tpsForts tpsForts1">
					<div class="titreTpsForts">Le 17 janvier 2019, un trio constitué d’un apprenant, d’un professionnel et d’un enseignant (en CFA ou lycée professionnel), se déplacera dans l’établissement scolaire de vos enfants <span>pour présenter aux élèves de troisième et de seconde les différents métiers et formations du secteur.</span></div>
				</div>
				<div class="col-lg-2 col-md-1 col-sm-1 hidden-xs">
				</div>
				<div class="col-lg-5 col-md-5 col-sm-5 col-xs-12 tpsForts tpsForts2">
					<div class="titreTpsForts">Les professionnels de votre région vous ouvriront leurs portes<span> pour vous accueillir, vous et vos enfants, et ainsi vous faire découvrir les différentes facettes de leur métier.</span></div>
				</div>
			</div>
		</div>

			
    <div class="container " style="padding-top:20px; margin-top:8px; ">
        <div class="col-lg-2 col-md-2 col-sm-1 hidden-xs"></div>
        <div class="col-lg-8 col-md-8 col-sm-10 col-xs-12 titreContenuPage">
            Rencontrer un professionnel vous intéresse ?
        </div>
        <div class="col-lg-2 col-md-2 col-sm-1 hidden-xs"></div>
	</div>			
	<div class="container">
		<div class="col-lg-8 col-md-8 col-sm-10 col-xs-12 col-lg-offset-2 col-md-offset-2 col-sm-offset-2 txtIntro">
    	Retrouvez sur cette carte les professionnels qui sont prêts à vous accueillir.<br><br>
		</div>
	</div>		
	<div class="container contenuCarte">
		
		<div id="divCarte" style='height:500px;'></div><br /><br />
	</div>	
    <div class="container " style="padding-top:20px; margin-top:8px; ">
        <div class="col-lg-2 col-md-2 col-sm-1 hidden-xs">
        </div>
        <div class="col-lg-8 col-md-8 col-sm-10 col-xs-12 titreContenuPage">
            En savoir plus :
        </div>
        <div class="col-lg-2 col-md-2 col-sm-1 hidden-xs">
        </div>
		
	</div>			
	    <div class="col-lg-8 col-md-8 col-sm-10 col-xs-12 col-lg-offset-2 col-md-offset-2 col-sm-offset-1 txtIntro contenuTxt">
    		<p>Rendez-vous sur <a href="http://www.metiers-hotel-resto.fr/" target="_blank" class="lienContent">www.metiers-hotel-resto.fr</a> pour découvrir :</p>
			<ul class="liste">
				<li><span>des fiches détaillées sur tous les métiers du secteur</span></li>	
				<li><span>des témoignages vidéo de professionnels</span></li>
				<li><span>les différentes formations du CAP au master 2</span></li>
			</ul>
			</div>
			<div class="clearfix"></div>
		
		</div><!-- RESEAUX SOCIAUX -->
		<?php include('include/footer.php');?>
	</body>
</html>